Start a build job that makes an MP4 movie of the playlist. If the job queue is enabled, the job runs in the background. Else, the response comes when the movie is ready. You must be a manager of the project.
GET
/data/playlists/{playlist_id}/build/mp4
curl
curl -X GET "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/build/mp4?full=true" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/build/mp4"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"full": true
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"status": "pending",
"created_at": "2022-07-12T10:30:00Z"
}